<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <rich:messages globalOnly="true" styleClass="message"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{attributeTypesManager.filter.urlParameters}"/>
            <!--@formatter:off-->
            <script>
                updateUrl("globalForm:filterUrlParameters");
                jq162("#globalForm\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalForm:filterUrlParameters");
                        });
            </script>
            <!--@formatter:on-->
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.hpd.LDAPStructureAttributeTypes']}</h1>
                <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                    <ui:param name="panel_id" value="attributeTypesPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.hpd.AttributeTypes']}"/>
                    </ui:define>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.hpd.FindBelowTheListOfAttributeTypesDefinedInOurLDAP']}"/>
                    <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.simu.SearchCriteria']}</ui:define>
                        <div class="row">
                            <div class="col-md-4">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{attributeTypesManager.filter}"/>
                                    <ui:param name="filterId" value="name"/>
                                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.hpd.Name']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                            <div class="col-md-4">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{attributeTypesManager.filter}"/>
                                    <ui:param name="filterId" value="oid"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.simulators.OID']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                            <div class="col-md-4">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{attributeTypesManager.filter}"/>
                                    <ui:param name="filterId" value="syntax"/>
                                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.hpd.Syntax']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                        </div>
                        <ui:define name="filter_buttons">
                            <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                             render="globalForm">
                                <span class="fa fa-refresh"/>
                            </a4j:commandLink>

                            <a4j:commandLink actionListener="#{attributeTypesManager.reset()}"
                                             title="#{messages['net.ihe.gazelle.hpd.ResetFilter']}" type="submit"
                                             execute="@this" render="globalForm">
                                <span class="fa fa-times-circle"/>
                            </a4j:commandLink>
                        </ui:define>
                    </ui:decorate>
                    <rich:dataTable value="#{attributeTypesManager.data}" var="at"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="attributeTypesTable"
                                    render="attributeTypesTableds">
                        <a4j:ajax event="rowclick"
                                  oncomplete="jq162('#attributeDetails').modal('show');"
                                  render=":attributeDetailsForm"
                                  listener="#{attributeTypesManager.setSelectedAttribute(at)}"/>
                        <g:column sortBy="#{'name'}" sortOrder="ascending">
                            <ui:define name="header">
                                <h:outputText value="#{messages['net.ihe.gazelle.hpd.Name']}"/>
                            </ui:define>
                            <h:outputText value="#{at.name}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                <h:outputText value="#{messages['net.ihe.gazelle.simulators.OID']}"/>
                            </ui:define>
                            <h:outputText value="#{at.oid}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                <h:outputText value="#{messages['net.ihe.gazelle.hpd.Syntax']}"/>
                            </ui:define>
                            <h:outputText value="#{at.syntax}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                <h:outputText value="#{messages['net.ihe.gazelle.hpd.SingleValue']}"/>
                            </ui:define>
                            <h:outputText value="#{messages['net.ihe.gazelle.hpd.TRUE']}" rendered="#{at.singlevalue}"/>
                            <h:outputText value="#{messages['net.ihe.gazelle.hpd.FALSE']}"
                                          rendered="#{not at.singlevalue}"/>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="attributeTypesTableds"/>
                                <ui:param name="dataTableId" value="attributeTypesTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </ui:decorate>
            </s:div>
        </h:form>
        <ui:include src="/documentation/modalPanelAttributeDetails.xhtml">
            <ui:param name="attribute" value="#{attributeTypesManager.selectedAttribute}"/>
        </ui:include>
    </ui:define>
</ui:composition>
